<?php
/**
 * Copyright © 2016 MB Vienas bitas. All rights reserved.
 * @website    www.magetrend.com
 * @package    MT Email for M2
 * @author     Edvinas Stulpinas <edwin@magetrend.com>
 */
?>
<?php $cssPrefix = $block->getEditMode()?'#email ':''; ?>
<style type="text/css" media="screen">
    @import url(//fonts.googleapis.com/css?family=Oxygen:400,700);
</style>

<style type="text/css" media="screen">
    @media screen {
        /* Thanks Outlook 2013! */
        <?php echo $cssPrefix; ?>* {
            font-family: 'Oxygen', 'Helvetica Neue', 'Arial', 'sans-serif';
        }
    }
</style>

<style type="text/css" media="only screen and (max-width: 480px)">
    /* Mobile styles */
    @media only screen and (max-width: 480px) {

        <?php echo $cssPrefix; ?>table[class*="container-for-gmail-android"] {
            min-width: 290px !important;
            width: 100% !important;
        }

        <?php echo $cssPrefix; ?>table[class="w320"] {
            width: 320px !important;
        }

        <?php echo $cssPrefix; ?>img[class="force-width-gmail"] {
            display: none !important;
            width: 0 !important;
            height: 0 !important;
        }

        <?php echo $cssPrefix; ?>a[class="button-width"],
        <?php echo $cssPrefix; ?>a[class="button-mobile"] {
            width: 248px !important;
        }

        <?php echo $cssPrefix; ?>td[class*="mobile-header-padding-left"] {
            width: 160px !important;
            padding-left: 0 !important;
        }

        <?php echo $cssPrefix; ?>td[class*="mobile-header-padding-right"] {
            width: 160px !important;
            padding-right: 0 !important;
        }

        <?php echo $cssPrefix; ?>td[class="header-lg"] {
            font-size: 24px !important;
            padding-bottom: 5px !important;
        }

        <?php echo $cssPrefix; ?>td[class="header-md"] {
            font-size: 18px !important;
            padding-bottom: 5px !important;
        }

        <?php echo $cssPrefix; ?>td[class="content-padding"] {
            padding: 5px 0 30px !important;
        }

        <?php echo $cssPrefix; ?>td[class="button"] {
            padding: 5px !important;
        }

        <?php echo $cssPrefix; ?>td[class*="free-text"] {
            padding: 10px 18px 30px !important;
        }

        <?php echo $cssPrefix; ?>td[class="info-block"] {
            display: block !important;
            width: 280px !important;
            padding-bottom: 40px !important;
        }

        <?php echo $cssPrefix; ?>td[class="info-img"],
        <?php echo $cssPrefix; ?>img[class="info-img"] {
            width: 278px !important;
        }

        <?php echo $cssPrefix; ?>td[class="mini-block-container"] {
            padding: 8px 20px !important;
            width: 280px !important;
        }

        <?php echo $cssPrefix; ?>td[class="mini-block"] {
            padding: 20px !important;
        }

    }

    @media only screen and (max-width: 480px) {

        body[data-outlook-cycle] table[class="w320"] {
            width: 600px !important;
        }

        body[data-outlook-cycle] td[class="mini-container-left"],
        body[data-outlook-cycle] td[class="mini-container-right"] {
            display: table-cell !important;
            width: 278px;
        }

        body[data-outlook-cycle] .mini-container-left {
            padding: 10px 0 10px 15px !important;
        }

        body[data-outlook-cycle] .mini-container-right {
            padding: 10px 14px 10px 15px !important;
        }

        body[data-outlook-cycle] .item-table {
            padding: 50px 20px 0px !important;
            width: 560px !important;
        }

        body[data-outlook-cycle] td[class~="mobile-hide-img"] {
            display: inline-block !important;
            height: auto !important;
            width: auto !important;
            line-height: normal !important;
        }

        body[data-outlook-cycle] td[class~="quantity"] {
            width: 163px !important;
        }


        body[data-outlook-cycle] td[class*="step"] img {
            width: 109px !important;
            height: 78px !important;
        }

        body[data-outlook-cycle] td[class="progress-bar"] {
            padding: 0 15px 0;
        }

        body[data-outlook-cycle] td[class="mini-block-container"] {
            padding: 30px 50px !important;
            width: 500px !important;
        }

        body[data-outlook-cycle] .track-block td[class="mini-block"] {
            padding: 60px 75px !important;
            width: 498px !important;
        }

        body[data-outlook-cycle] td[class="mini-block"] {
            padding: 12px 15px 15px; !important;
            width: 253px !important;
        }

        body[data-outlook-cycle] td[class="button"] {
            padding: 30px 0!important;
        }

        body[data-outlook-cycle] .mini-block td[class="button"] {
            padding: 55px 0 0 !important;
        }

        body[data-outlook-cycle] td[class="info-block"] {
            display: table-cell !important;
            padding: 0 20px !important;
            width: 260px !important;
        }

        body[data-outlook-cycle] td[class="info-img"],
        body[data-outlook-cycle] img[class="info-img"] {
            width: 258px !important;
        }
    }


</style>
